Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1881347 - [v2v][ui]VM Import Wizard does not call Import provider cleanup
Summary: [v2v][ui]VM Import Wizard does not call Import provider cleanup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Filip Krepinsky
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-22 08:43 UTC by Filip Krepinsky
Modified: 2021-02-24 15:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: V2VVMWare and OvirtProvider objects created by the VM wizard were not cleaned up properly Fix: V2VVMWare and OvirtProvider objects are cleaned up now
Clone Of:
Environment:
Last Closed: 2021-02-24 15:18:56 UTC
Target Upstream Version:
istein: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6704 0 None closed Bug 1881347: fix createVMWizard onClose destructor 2021-01-04 15:47:07 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:20:57 UTC

Description Filip Krepinsky 2020-09-22 08:43:41 UTC
Description of problem: 

V2VVMWare or OvirtProvider objects are not cleaned up


How reproducible:
100

Steps to Reproduce:
1. visit VM Import Wizard
2. select instance
3. redirect to deployments
4. mentioned objects live forever

caused by this patch https://github.com/openshift/console/pull/6538

there are also subtle mistakes with data loading which concern the same part of the code

Comment 1 Tomas Jelinek 2020-09-24 06:43:55 UTC
moving out until there is a lgtm on the patch

Comment 4 Ilanit Stein 2020-12-27 11:04:08 UTC
@Filip,

Could you please provide verification steps?

Comment 5 Ilanit Stein 2020-12-31 10:55:06 UTC
Verified on Openshift version: 4.7.0-fc.0.

Entered the VM import wizard, picked VM from VMware/RHV providers, and then moved to deployment tab (as steps in the bug description).
Run those commands, before and after moving to the Deployments tab.

$ oc get ovirtproviders.v2v.kubevirt.io
$ oc get V2VVMWare.v2v.kubevirt.io

Before the move the providers object existed, and right after the move they were no longer listed - As expected.

Comment 6 Ilanit Stein 2020-12-31 10:55:46 UTC
Verified on Openshift version: 4.7.0-fc.0.

Entered the VM import wizard, picked VM from VMware/RHV providers, and then moved to deployment tab (as steps in the bug description).
Run those commands, before and after moving to the Deployments tab.

$ oc get ovirtproviders.v2v.kubevirt.io
$ oc get V2VVMWare.v2v.kubevirt.io

Before the move the providers object existed, and right after the move they were no longer listed - As expected.

Comment 7 Filip Krepinsky 2021-01-04 15:48:40 UTC
+1

Comment 9 errata-xmlrpc 2021-02-24 15:18:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.